/* PhotoOrganizer 
 * Copyright (C) 1999 Dmitry Rogatkin.  All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 */
package photoorganizer;

import java.util.Hashtable;

public class Resources {
    // menu constraints
    public final static String MENU_PROPERTIES = "Properties...";
    public final static String MENU_DRIVE_SEL = "Change drive";
    public final static String MENU_FILE = "File";
    public final static String MENU_EXIT = "Exit";
    public final static String MENU_TOOLS = "Tools";
    public final static String MENU_OPTIONS = "Options...";
    public final static String MENU_ADDTOCOLLECT = "To selection";
    public final static String MENU_CF_TOCOLLECT = "Get CF";
    public final static String MENU_ADDTOALBUM = "To album";
    public final static String MENU_HELP = "Help";
    public final static String MENU_CONTENTS = "Contents...";
    public final static String MENU_TRANSFORM = "Transformation";
    public final static String MENU_NONE = "None";
    public final static String MENU_ROTATE90 = "Rotate 90";
    public final static String MENU_ROTATE180 = "Rotate 180";
    public final static String MENU_ROTATE270 = "Rotate 270";
    public final static String MENU_FLIP_H = "Horizontal flip";
    public final static String MENU_FLIP_V = "Vertical flip";
    public final static String MENU_TRANSPOSE = "Transpose";
    public final static String MENU_TRANSVERSE = "Transverse";
    public final static String MENU_ABOUT = "About...";
    public final static String MENU_SHOW = "Show";
    public final static String MENU_SELECT = "Select";
    public final static String MENU_SELECTALL = "Select all";
    public final static String MENU_DELETE = "Delete";
    public final static String MENU_DELETE_COMPLETLY = "Delete all";
    public final static String MENU_RENAME = "Rename";
    public final static String MENU_EXTRACTTUMBNAILS = "Extract thumbs";
    public final static String MENU_EXTRACTMARKERS = "Extract markers";
    public final static String MENU_GENERATEHTML = "Create HTML";
    public final static String MENU_POPUPWIN = "PopUp";
    public final static String MENU_INTWIN = "GetBack";
    public final static String MENU_FULLSCREEN = "FullScreen";
    public final static String MENU_PRINT = "Print";
    public final static String MENU_VIEW_HTML = "View HTML";
    public final static String LIST_DATETIME = "DateTime";
    public final static String LIST_DATE = "Date";
    public final static String LIST_TIME = "Time";
    public final static String LIST_SHUTTER = "Shutter";
    public final static String LIST_APERTURE = "Aperture";
    public final static String LIST_FLASH = "Flash";
    public final static String LIST_QUALITY = "Quality";
    public final static String LIST_COUNTER = "Counter";
    public final static String LIST_ORIG = "OriginalName";
    public final static String LIST_ORIENTATION = "Orientation";
    public final static String LIST_ZOOM = "Zoom";
    public final static String LIST_FILESIZE = "Size";
    public final static String LIST_MAKE = "Make";
    public final static String LIST_MODEL = "Model";
    public final static String LIST_ONTOP = "On top";
    public final static String LIST_ONBOTTOM = "On bottom";
    public final static String LIST_ONLEFT = "On left";
    public final static String LIST_ONRIGHT = "On right";
    public final static String [][]MASKS = new String[][]
    {{"%D", "%d","%t", "%s", "%a", "%f", "%q", "%c", "%o", "%r", "%z", "%S", "%M", "%m"},
    {LIST_DATETIME, LIST_DATE, LIST_TIME, LIST_SHUTTER, LIST_APERTURE,
    LIST_FLASH, LIST_QUALITY, LIST_COUNTER, LIST_ORIG, LIST_ORIENTATION,
    LIST_ZOOM, LIST_FILESIZE, LIST_MAKE, LIST_MODEL}
    };
    public final static String LIST_NONE = "None";
    public final static String LIST_EXIF = "Exif";
    public final static String LIST_CIFF = "CIFF";
    public final static String LIST_JFIF = "JFXX";
    public final static String LIST_EXTRN = "From ext file";
    public final static String [] FORMATS = new String[] {
	LIST_NONE, LIST_EXIF, LIST_CIFF, LIST_JFIF, LIST_EXTRN
    };
    public final static String [] POSITIONS = new String[] {
	LIST_ONTOP, LIST_ONBOTTOM, LIST_ONLEFT, LIST_ONRIGHT
    };
    public final static String [] ROTATIONS = new String[] {
	"None", "HFlip", "VFlip", "Transpose", "Transverse", "Rot90",
	"Rot180", "Rot270"
    };
    public final static String LABEL_NAMEGENMASK = "Target name generation mask";
    public final static String LABEL_INSERT = "Insert";
    public final static String LABEL_INS_R = "<";
    public final static String LABEL_INS_L = ">";
    public final static String LABEL_KEEP_APPS = "Preserve APPs";
    public final static String LABEL_KEEP_ORIG = "Keep original";
    public final static String LABEL_ENFORCE_FMT = "Enforce format";
    public final static String LABEL_DESTINATIONDIR = "Destination folder (used for transformation also)";
    public final static String LABEL_CHOOSE_DIR = "Choose a folder";
    public final static String LABEL_DIRECTORIES = "Folders";
    public final static String LABEL_WEB_ROOT = "Web root";
    public final static String LABEL_HTML_TEMPLATE = "HTML template";
    public final static String LABEL_HTML_FILES = "HTML files";
    public final static String LABEL_DIRECTORY = "Directory";
    public final static String LABEL_CF_DIR = "CF directory";
    public final static String LABEL_FILE = "File";
    public final static String LABEL_NUM_COL_OR_ROW = "Number of columns/rows";
    public final static String LABEL_SCROLL_VERT = "Scroll vertically";
    public final static String LABEL_THUMBNAILFILE_MASK = "Thumbnail file mask";
    public final static String LABEL_THUMBNAILSIZE = "Thumbnail size";
    public final static String LABEL_EDIT_NEW_NAME = "Edit name before";
    public final static String LABEL_LABEL_MASK = "Label mask";
    public final static String LABEL_TTIP_MASK = "Tooltip mask";
    public final static String LABEL_WIDTH_SHORT = "width:";
    public final static String LABEL_HEIGHT_SHORT = "height:";
    public final static String LABEL_NEW_NAME = "New name";
    public final static String LABEL_CONFIRM_DEL = "- will be removed permanently.\nAre you sure?";
    public final static String LABEL_CHOOSE_DRIVE = "Choose drive";
    public final static String LABEL_START_COUNTER = "Initial counter";
    public final static String LABEL_MENU = "Menu";
    public final static String LABEL_TOOLBAR = "ToolBar";
    public final static String LABEL_SATUSBAR = "StatusBar";
    public final static String LABEL_TABPOS = "Tab position";
    public final static String LABEL_DATEFMT = "Date format";
    public final static String LABEL_TIMEFMT = "Time format";
    public final static String LABEL_TRANS_CODE = "Transform code";
    public final static String LABEL_NOTUMBNAIL = "No thumbnail for ";
    public final static String LABEL_HTML_NAME = "Name of HTML file";
    public final static String LABEL_MARKERS = "Markers";
    public final static String LABEL_NOJDBCWARN = "No warn if JDBC failed";
    public final static String LABEL_JDBCDRV_CLASS = "JDBC driver class name";
    public final static String LABEL_PASSWORD = "Password";
    public final static String LABEL_USER = "User";
    public final static String LABEL_DATABASE_URL = "Database URL";
    public final static String LABEL_FTP_HOST = "Ftp host";
    public final static String LABEL_LOGIN = "Login";
    public final static String LABEL_SAVE_PSWD = "Save password";
    public final static String LABEL_CONN_TIMEOUT = "Connection timeout";
    public final static String LABEL_USE_PROXY = "Use proxy";
    public final static String LABEL_HOST = "Host";
    public final static String LABEL_PORT = "Port";
    public final static String LABEL_USE_FTP = "Use ftp";
    public final static String LABEL_NAME_OF_ALBUM = "Name of the album";
    public final static String LABEL_ALBUMROOT = "Albums";
    public final static String LABEL_INCLUSIVE = "add to selcted albums";
    public final static String LABEL_SHOWWARNDLG = "Show warning dialog";
    public final static String LABEL_ERR_FTP_LOGIN = "Ftp login's been failed, 'cause\n";
    public final static String LABEL_ERR_JDBCDRV_LOAD = "JDBC driver can't be instantiated, 'cause\n";
    public final static String LABEL_ERR_JDBC_CONN = "Couldn't establish database connection, check URL\n";
    public final static String LABEL_ERR_FTP_CONNECT = "Ftp connection failed, check host name and/or proxy settings";
    public final static String LABEL_COFIRMDROPTABLE = "All albums will be destroyed, please confirm.";
    public final static String LABEL_COFIRMDELETE = "Confirm deleting ";
    public final static String LABEL_ADDTRANSFORMEDTOSEL = "Add transformed to selection";
    public final static String LABEL_REMOVE_AFTER_REN = "Remove from selection";
    public final static String INFO_RENAMING = "Renaming";
    public final static String INFO_TRANSFORMING = "Transforming";
    public final static String INFO_REMOVING = "Removing";
    public final static String INFO_PRINTING = "Printing";
    public final static String INFO_WEBPUBLISHING = "Web publishing";
    public final static String HDR_NAME = "Name";
    public final static String HDR_LOCATION = "Location";
    public final static String HDR_COMMENT = "Comment";
    public final static String HDR_TAG = "Tag";
    public final static String HDR_VALUE = "Value";
    public final static String HDR_TYPE = "Type";
    public final static String HDR_SIZE = "Size";
    public final static String HDR_MODIFIED = "Modified";
    public final static String HDR_SHUTTER = "Shutter";
    public final static String HDR_APERTURE = "Aperture";
    public final static String HDR_FLASH = "Flash";
    public final static String HDR_QUALITY = "Quality";
    public final static String HDR_ZOOM = "Zoom";
    public final static String HDR_TAKEN = "Taken";
    public final static String CMD_YES = "Yes";
    public final static String CMD_NO = "No";
    public final static String CMD_OK = "OK";
//    public final static String CMD_APPLY = "Apply";
    public final static String CMD_APPLY = "<html><i>Apply";
    public final static String CMD_CANCEL = "Cancel";
    public final static String CMD_BROWSE = "Browse";
    public final static String CMD_CREATEDB = "Drop db";
    public final static String CMD_INITJDBC = "Check driver";
    public final static String CMD_CREATEALBUM = "Create a new album";
    public final static String CMD_HELP = MENU_HELP;
    public final static String CMD_ADDTOALBUM = MENU_ADDTOALBUM;
    public final static String TITLE_HELP = MENU_HELP;
    public final static String TITLE_OPTIONS = "Options";
    public final static String TITLE_HTML_TEMPL = "Choose HTML template file";
    public final static String TITLE_SHOW = "Show";
    public final static String TITLE_PROPS_OF = "Properties of ";
    public final static String TITLE_RENAME = "Rename";
    public final static String TITLE_DELETE = "Delete";
    public final static String TITLE_CHANGE_DRIVE = "Change current drive";
    public final static String TITLE_CREATEHTML = "HTML creating";
    public final static String TITLE_SELECT_FOLDER = "Select folder";
    public final static String TITLE_SELECT_ALBUM = "Albums selection for - ";
    public final static String TITLE_ERROR = "Error";
    public final static String TITLE_COFIRMATION = "Confirmation...";
    public final static String TITLE_PRINT = "Printing...";
    public final static String TTIP_RULEFORRENAME = "Specify rule for renaming images";
    public final static String TTIP_RULEFORTRANSFORM = "Specify options for trnsformation images";
    public final static String TTIP_TUMBNAILSOPTION = "Specify thumbnails panel options";
    public final static String TTIP_MISCELLANEOUS = "Specify misc options concerning layout";
    public final static String TTIP_MAIN_IFD = "Main image IFD";
    public final static String TTIP_THUMB_IFD = "Thumbnail image IFD";
    public final static String TTIP_PICTURE_INFO = "[Picture info]";
    public final static String TTIP_CAMERA_INFO = "[Camera info]";
    public final static String TTIP_DIAG_INFO = "[Diag info]";
    public final static String TTIP_HEAP = "CIFF Heap";
    public final static String TTIP_COLLECTTAB = "Use it to navigate through your selection structure";
    public final static String TTIP_BROWSETAB = "Use it to navigate through your directory structure";
    public final static String TTIP_COLLECTLIST = "Use it to place your selection";
    public final static String TTIP_IMAGETAB = "Use it to see original 100% image";
    public final static String TTIP_DIRECTORYTAB = "Use it to navigate through your directory structure";
    public final static String TTIP_ALBUM = "Viewing and creation photo albums";
    public final static String TTIP_ALBUMOPTIONS = "Setting album options, includimg database settings";
    public final static String TTIP_WEBPUBLISH = "Web root and Ftp settings";
    public final static String TTIP_ADDTRANSFORMEDTOSEL = "Check it, if you'd like to add a transformed image to selection";
    public final static String TAB_COLLECTION = "Selection";
    public final static String TAB_DIRECTORY = "Directory";
    public final static String TAB_IMAGE = "Image";
    public final static String TAB_THUMBNAILS = "Thumbnails";
    public final static String TAB_RENAME = "Rename";
    public final static String TAB_TRANSFORM = "Transform";
    public final static String TAB_BROWSE = "Browse";
    public final static String TAB_MISCELLANEOUS = "Miscellaneous";
    public final static String TAB_MAIN_IFD = "Main";
    public final static String TAB_THUMBNAIL = "Thumbnail";
    public final static String TAB_PICTURE_INFO = "Picture";
    public final static String TAB_CAMERA = "Camera";
    public final static String TAB_DIAGNOSTIC = "Diagnostic";
    public final static String TAB_HEAP = "Heap";
    public final static String TAB_ALBUM = "Album";
    public final static String TAB_WEBPUBLISH = "WebPublishing";
    public final static String URL_HELP = "../R-PhotoOrganizer.html";
    public final static String EXT_HTML = ".html";
    public final static String NO = "no";
    public final static String YES = "yes";
    public final static Integer I_YES = new Integer(1);
    public final static Integer I_NO = new Integer(0);

    public final static int CTRL_VERT_SIZE = 20;
    public final static int CTRL_VERT_GAP = 4;
    public final static int CTRL_HORIS_INSET = 8;
    public final static int CTRL_HORIZ_GAP = 8;
    public final static java.awt.Dimension MIN_PANEL_DIMENSION = new java.awt.Dimension(40, 20);
}