/* PhotoOrganizer 
 * Copyright (C) 1999 Dmitry Rogatkin.  All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 */
package photoorganizer.directory;

import java.awt.Frame;
import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.FileSystemView;
import photoorganizer.*;
import photoorganizer.ftp.*;

public class JDirectoryChooser extends JFileChooser {
   
    public JDirectoryChooser (Frame parent, String startfolder, 
        FileSystemView filesystemview) {
        super(filesystemview);
        setFileSelectionMode(DIRECTORIES_ONLY);
        setMultiSelectionEnabled(false);
        File ff;
        if (filesystemview != null && filesystemview instanceof FtpFileSystemView) {
	    //setFileSystemView(filesystemview);
            ff = filesystemview.createFileObject(startfolder);
            if (!ff.exists()) {
                ff = filesystemview.createFileObject(""+FtpFile.ftpseparator);
                ff.exists();
            }
            setCurrentDirectory(ff);
            setDialogTitle("Ftp:"+Resources.TITLE_SELECT_FOLDER);
        } else {
            ff = new File(startfolder);
            if (ff != null && ff.exists())
                setCurrentDirectory(ff);
            setDialogTitle(Resources.TITLE_SELECT_FOLDER);
        }
        if (APPROVE_OPTION == showDialog(parent, Resources.CMD_OK))
            directory = getSelectedFile().getAbsolutePath();
    }

    public String getDirectory() {
        return directory;
    }
    
    public boolean accept(File f) {
        return f.isDirectory();
    }

    String directory;
}
