/* PhotoOrganizer 
 * Copyright (C) 1999 Dmitry Rogatkin.  All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 */
package photoorganizer.formats;

public class Entry {

    public Entry(int type, String value) {
        this.type = type;
        str = value;
    }
    
    public Entry(int type, Object[] value) {
        this.type = type;
        this.value = value;
    }

    public int getType() {
        return type;
    }

    public String toString() {
        if (str != null)
            return str;
	StringBuffer buff = new StringBuffer();
	for (int i=0; i<value.length; i++)
	    buff.append((type!=Exif.UNDEFINED)?value[i]:Integer.toHexString(((Integer)value[i]).intValue()));
        return buff.toString();

    }

    public Object[] getValues() {
        return value;
    }

    public Object getValue(int index) {
        return value[index];
    }
    
    private int type;
    private String str;
    private Object[] value;
}
