/* PhotoOrganizer 
 * Copyright (C) 1999 Dmitry Rogatkin.  All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 */
package photoorganizer.formats;

import java.io.*;
import java.util.*;
import java.awt.Image;

public class SampleJpeg extends BasicJpeg {
    static final String NA = "n/a";
    static final String SAMPLEFILEPATH = "DCS002";
    
    public SampleJpeg() {
        super(new File(SAMPLEFILEPATH));
        valid = true;
        imageinfo = new SampleImageInfo(null, null, 0, SAMPLEFILEPATH);
    }
    
    void read() {
    }

    class SampleImageInfo extends AbstractImageInfo {
        
        public SampleImageInfo(InputStream is, byte[] data, int offset, String name) {
            super(is, data, offset, name);
        }
        
        public String getFormat() {
            return "Exif";
        }
        
        public void readInfo() {
            
            data = null; // for gc
        }
        
        public String getMake() {
            return "Kodak";
        }
        
        public String getModel() {
            return "DC265";
        }
        
        public String getDataTimeOriginalString() {
            return dateformat.format(new Date());
        }
        
        public float getFNumber() {
            return 5.6f;
        }
        
        public Rational getShutter() {
            return new Rational(1, 250);
        }
        
        public boolean isFlash() {
            return false;
        }
        
        public float getFocalLength() {
            return 113.2f;
        }
        
        public String getQuality() {
            return "FINE";
        }
        
        public String getReport() {
            return NA;
        }
        
        public Image getThumbnailImage(BasicJpeg im) {
            return null;
        }
    }
}
