/* AlbumSelectionPanel 
 * Copyright (C) 1999 Dmitry Rogatkin.  All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 */
package photoorganizer.renderer;

import java.awt.event.*;
import java.awt.Window;
import java.awt.Component;
import java.util.Vector;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.tree.*;
import photoorganizer.*;
import photoorganizer.album.*;

public class AlbumSelectionPanel extends JPanel implements ActionListener {
    
    public AlbumSelectionPanel(Controller controller, TreeModel model) {
        setLayout(new GranulatedLayout(5, 12, 24, 4));
        JLabel l;
        add(new JScrollPane(t_all_albums = new JTree(model)), "0,1,5,8,28,12");
        JButton bt;
	add(bt = new JButton(Resources.CMD_CREATEALBUM), "0,9,2,1,32");
	bt.addActionListener(this);
	add(tf_album = new JTextField(), "2,9,2,");
        add(cb_include = new JCheckBox(Resources.LABEL_INCLUSIVE), "0,10,3,1,32");
        add(l = new JLabel(), "0,0,5,12,6,18");
        l.setBorder(new TitledBorder(new BevelBorder(BevelBorder.RAISED),
	    Resources.LABEL_NAME_OF_ALBUM));
        l.setOpaque(false);
    }

    public TreePath[] getSelectedAlbums() {
	return t_all_albums.getSelectionPaths();
    }

    public void actionPerformed(ActionEvent a) {
        String cmd = a.getActionCommand();
        if (cmd.equals(Resources.CMD_CREATEALBUM)) {
	    Access access = ((AlbumModel)t_all_albums.getModel()).access;
	    String _an = tf_album.getText().trim();
	    if (_an.length() == 0)
		return;
	    int _na = access.createAlbum(_an);
	    if (cb_include.isSelected()) {
		TreePath[] paths = getSelectedAlbums();
		for (int i = 0; paths != null && i < paths.length; i++) {
		    access.insertAlbumToAlbum(new int[]{access.getAlbumId(paths[i])},
			_na);
		    refresh(paths[i].getPath());
		}
	    } else {
		access.insertAlbumToAlbum(new int[]{0}, _na);
		refresh(new Object[]{t_all_albums.getModel().getRoot()});
	    }
	    tf_album.setText("");
        }
    }

    void refresh(Object[] path) {
	((AlbumModel)t_all_albums.getModel()).fireTreeStructureChanged(this, path, null, null);
    }

    JCheckBox cb_include;
    JTree t_all_albums;
    JTextField tf_album;
}
