/* StatusBar
 * Copyright (C) 1999 Dmitry Rogatkin.  All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 */
package photoorganizer.renderer;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import photoorganizer.*;

public class StatusBar extends JPanel {
    public StatusBar() {
        setBorder(new BevelBorder(BevelBorder.LOWERED));
        setLayout(new BorderLayout());
        JLabel label = new JLabel(PhotoOrganizer.COPYRIGHT);
        label.setHorizontalAlignment(JLabel.RIGHT);
        add(progress = new JProgressBar(), "West");
        progress.setMinimum(0);
        add(info = new JLabel(" "), "Center");
        info.setHorizontalAlignment(JLabel.CENTER);
        add(label, "East");
    }

    public void displayInfo(String info) {
        if (info != null)
            this.info.setText(info);
    }

    public void clearInfo() {
        info.setText(" ");
    }

    public void clearProgress() {
        progress.setValue(0);
    }

    public void setProgress(int max) {
        progress.setMaximum(max);
    }

    public void tickProgress() {
        progress.setValue(progress.getValue()+1);
    }

    JProgressBar progress;
    JLabel info;
}
